%global ver_major %%(echo %{version} | cut -d. -f1)
%global ver_minor %%(echo %{version} | cut -d. -f2)
%global ver_patch %%(echo %{version} | cut -d. -f3)

Summary:        Shared libraries for GSM speech compressor
Name:           gsm
Version:        1.0.22
Release:        2%{?dist}
License:        MIT
URL:            http://www.quut.com/gsm/
Source:         http://www.quut.com/gsm/%{name}-%{version}.tar.gz
Patch3000:      %{name}-makefile.patch
Patch3001:      %{name}-warnings.patch
BuildRequires:  gcc make


%description
This package provides runtime shared libraries for libgsm, an
implementation of the European GSM 06.10 provisional standard for
full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
(residual pulse excitation/long term prediction) coding at 13 kbit/s.

%package        tools
Summary:        GSM speech compressor tools

%description    tools
This package provides command line utilities for libgsm.

%package        devel
Summary:        Header files and development libraries for libgsm
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides header files and development libraries for libgsm.

%prep
%autosetup -n gsm-%{ver_major}.%{ver_minor}-pl%{ver_patch} -p1

%build
export LDFLAGS="%{?__global_ldflags}"
%make_build all SO_MAJOR=%{ver_major} SO_MINOR=%{ver_minor} SO_PATCH=%{ver_patch}

%install
export LDFLAGS="%{?__global_ldflags}"
mkdir -p %{buildroot}{%{_bindir},%{_includedir}/gsm,%{_libdir},%{_mandir}/{man1,man3}}

%make_install \
	INSTALL_ROOT=%{buildroot}%{_prefix} \
	GSM_INSTALL_INC=%{buildroot}%{_includedir}/gsm \
	GSM_INSTALL_LIB=%{buildroot}%{_libdir} \
	SO_MAJOR=%{ver_major} SO_MINOR=%{ver_minor} SO_PATCH=%{ver_patch}

ln -s gsm/gsm.h %{buildroot}%{_includedir}

echo ".so toast.1" > %{buildroot}%{_mandir}/man1/tcat.1
echo ".so toast.1" > %{buildroot}%{_mandir}/man1/untoast.1

%check
[ -f %{buildroot}%{_libdir}/libgsm.so.%{version} ]
export LDFLAGS="%{?__global_ldflags}"
%{__make} addtst


%files
%license COPYRIGHT
%doc ChangeLog MACHINES README
%{_libdir}/libgsm.so.*

%files tools
%{_bindir}/tcat
%{_bindir}/toast
%{_bindir}/untoast
%{_mandir}/man1/tcat.1*
%{_mandir}/man1/toast.1*
%{_mandir}/man1/untoast.1*

%files devel
%dir %{_includedir}/gsm
%{_includedir}/gsm/gsm.h
%{_includedir}/gsm.h
%{_libdir}/libgsm.so
%{_mandir}/man3/gsm.3*
%{_mandir}/man3/gsm_explode.3*
%{_mandir}/man3/gsm_option.3*
%{_mandir}/man3/gsm_print.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.22-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Shuo Wang <abushwang@tencent.com> - 1.0.22-1
- update to 1.0.22

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.19-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.19-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 cunshunxia <cunshunxia@tencent.com> - 1.0.19-1
- initial build
